Page MenuHomePhabricator

"Help" on the search page for many WMF wikis points to the wrong place
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Go to https://fr.wikipedia.org/wiki/Special:Search
  2. Click "Aide" (en: Help) at the top right

Expected:

Actual:

This is likely also a problem on quite a few other wikis, too.

Event Timeline

Deskana created this task.Jul 21 2016, 5:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2016, 5:02 PM
debt triaged this task as High priority.Jul 21 2016, 6:36 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
debt added a subscriber: TJones.
CKoerner_WMF added a subscriber: EBernhardson.EditedJul 22 2016, 9:53 PM

It looks like the default setting for WMF wikis point to Help:Searching on MediaWiki.org, unless the wiki has a local Help:Searching page.

However, Help:Searching on MediaWiki.org describes the default search capabilities of the MediaWiki software, not CirrusSearch.

We should set the default setting for WMF wikis to mw:Help:CirrusSearch and not mw:Help:Searching.

The latter page describes the default search in MediaWiki and doesn't apply to WMF wikis. Which is where I think this confusion is coming from.

For Wikipedia's (English and German as examples) that have a local page at Help:Searching we'd have to do something to keep those links*, but for all other wikis where it is not local (a majority) visitors would get the right page.

I'm not sure how the Help link on Special:Search can be modified. @EBernhardson or @Deskana can you help point me in the right direction?

*Until we update the help documentation and translations on mw:Help:CirrusSearch. Then we could ask Wiki’s to instead point their link to the central documentation - see T141156

Related tasks: T115429, T135921, T141156

The target of the Help link is determined by MediaWiki:Search-helppage. I don't know where to change the default for Wikimedia wikis but changing it from https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Searching to https://www.mediawiki.org/wiki/Special:MyLanguage/Help:CirrusSearch would be good.
There is no global language preference so users are directed to the English version unless they have set another language at mediawiki.org, and I guess few have. Maybe unregistered users (and even registered?) at https://it.wikipedia.org/wiki/Special:Search should automatically get a link to https://www.mediawiki.org/wiki/Help:CirrusSearch/it, and so on for other languages and help links, but that may be beyond this task.

https://www.wikidata.org/wiki/Q5525084 (Help:Searching) shows lots of wikis have a local page but many of them have not created MediaWiki:Search-helppage to point there. Maybe they don't know it's possible, or maybe some of them are unhappy with the local page.

Cpiral echoes what PrimeHunter states above and mentions that MediaWiki installs may have redlinks if the default setting within MediaWiki core is changed to something outside the main namespace.

https://www.mediawiki.org/wiki/Help_talk:Searching#New_help_link_on_search_pages

I investigated this a little bit, and found a possible solution.

We could set the search-helppage message in the WikimediaMessages extension to "mw:Special:MyLanguage/Help:CirrusSearch". This would:

Change 302623 had a related patch set uploaded (by Deskana):
Add new default value for search-helppage

https://gerrit.wikimedia.org/r/302623

I tested the above patch on my local wiki and it worked as specified. That said, I don't know whether this change is enough or how to test the integration better. I figured there was no better way to get that feedback than to upload a patch for it. :-)

@Deskana Did you get any feedback on your patch? Is there anything I can do to help?

Deskana added a subscriber: debt.Aug 23 2016, 3:13 PM

@CKoerner_WMF No movement unfortunately.

@debt Can you mention this in standup again? Stas reviewed it and gave it a +1, but it needs someone to decide whether it can be merged or not.

Change 302623 merged by jenkins-bot:
Add new default value for search-helppage

https://gerrit.wikimedia.org/r/302623

Deskana closed this task as Resolved.Aug 23 2016, 4:37 PM

With the above patch being merged, this should now be resolved. Yay!

Qgil awarded a token.Aug 25 2016, 9:34 AM